<template>
    <div>
        <el-cascader v-model="adress" filterable  :options="adressArray" :disabled ="isDisabled" clearable></el-cascader>
    </div>
</template>
<script>
import addressResourcesApi from '@/api/addressResources'
export default {
  props: {
    isDisabled: {
      type: Boolean,
      default: false
    },
    adressArr: {
      type: Array,
      default: function () {
        return []
      }
    }
  },
  watch: {
    adressArr (newValue, oldValue) {
      this.adress = newValue
    },
    adress (newValue, oldValue) {
      this.$emit('update:adressArr', newValue)
    }
  },
  data () {
    return {
      adressArray: [],
      adress: []
    }
  },
  created () {
    this.getAdressArray()
  },
  methods: {
    /**
     * 获取省市区数据
     */
    getAdressArray () {
      addressResourcesApi.getList().then(res => {
        if (res.data) {
          this.adressArray = res.data
        }
      })
    }
  }

}
</script>
